#!/bin/sh
export PATH='/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: haskell-xmpp
version: 1.0.2
id: haskell-xmpp-1.0.2-17f3c1ebbcb1b1386b91b1919b272016
key: haske_4BYik5mUQNeHUsr82kGSCT
license: BSD3
copyright: (c) 2005-2011 Dmitry Astapov, k.pierre
maintainer: Dmitry Astapov <dastapov@gmail.com>
stability: Stable
homepage: http://patch-tag.com/r/adept/haskell-xmpp/home
synopsis: Haskell XMPP (eXtensible Message Passing Protocol, a.k.a. Jabber) library
description:
    Haskell XMPP (eXtensible Message Passing Protocol, a.k.a. Jabber) library
    .
    Unlike package network-protocol-xmpp, which uses libxml-sax, this library uses HaXml and supports MUC.
    However, MUC support of the moment is worse than that in package XMPP.
    .
    This library make extensive use of STM and threads to simplify writing message-handling code.
category: Network
author: Dmitry Astapov <dastapov@gmail.com>, pierre <k.pierre.k@gmail.com>
exposed: True
exposed-modules:
    Network.XMPP Network.XMPP.Sasl Network.XMPP.Core Network.XMPP.Types
    Network.XMPP.Print Network.XMPP.Helpers Network.XMPP.Stream
    Network.XMPP.Stanza Network.XMPP.Utils Network.XMPP.IM.Presence
    Network.XMPP.JID Network.XMPP.IQ Network.XMPP.UTF8 Network.XMPP.MD5
    Network.XMPP.Base64 Network.XMPP.XEP.MUC Network.XMPP.XEP.Delayed
    Network.XMPP.XEP.Version Network.XMPP.Concurrent
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/haskell-xmpp-1.0.2
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/haskell-xmpp-1.0.2
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/haskell-xmpp-1.0.2
hs-libraries: HShaskell-xmpp-1.0.2-4BYik5mUQNeHUsr82kGSCT
include-dirs: /usr/local/include
depends:
    HaXml-1.25.3-fff57c003cc6aa48a90f093db3eaf4a3
    array-0.5.1.0-aabf9daaf6d89a89ffdaf632a0eb259e
    base-4.8.1.0-9cc67f4e5e6328730727313d0bc5e35f
    html-1.0.1.2-52f05cc036db454746dd81c8dddf29f4
    mtl-2.2.1-6281cd9698784dbc328cef3b013b905d
    network-2.6.2.1-1efabe34c29aae7dc76038169a9c7a77
    polyparse-1.11-5ac8e4392411c993b0e53cd9ebd3158e
    pretty-1.1.2.0-1fb5e112c0b0974fa63ea171ac3c34f6
    random-1.1-859a5366f9cc240228128d890d4923be
    regex-compat-0.95.1-64f2629c741174ab4007cf9364110780
    stm-2.4.4-bfc1dfbad2c1b92f42a076333af96123
    utf8-string-1-808b55f632256f9400e0886437e2f12c
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/haskell-xmpp-1.0.2/html/haskell-xmpp.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/haskell-xmpp-1.0.2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
